Package tigase.stats.db

# Interface CounterDataLoggerRepositoryIfc<DS extends DataSource>

All Superinterfaces:
  `DataSourceAware<DS>`

All Known Implementing Classes:
  `CounterDataLoggerRepoBean`, `CounterDataLoggerRepository`

public interface CounterDataLoggerRepositoryIfc<DS extends DataSource> extends DataSourceAware<DS>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BOSH_CONNS_COL`
  `static final String`
  `C2S_CONNS_COL`
  `static final String`
  `C2S_PACKETS_COL`
  `static final String`
  `CPU_USAGE_COL`
  `static final String`
  `EXT_PACKETS_COL`
  `static final String`
  `HOSTNAME_COL`
  `static final String`
  `IQS_COL`
  `static final String`
  `MEM_USAGE_COL`
  `static final String`
  `MESSAGES_COL`
  `static final String`
  `MUC_PACKETS_COL`
  `static final String`
  `PRESENCES_COL`
  `static final String`
  `PUBSUB_PACKETS_COL`
  `static final String`
  `REGISTERED_COL`
  `static final String`
  `S2S_CONNS_COL`
  `static final String`
  `S2S_PACKETS_COL`
  `static final String`
  `SM_CONNECTIONS_COL`
  `static final String`
  `SM_PACKETS_COL`
  `static final String`
  `SM_SESSIONS_COL`
  `static final String`
  `STATS_TABLE`
  `static final String`
  `UPTIME_COL`
  `static final String`
  `VHOSTS_COL`
  `static final String`
  `WS2S_CONNS_COL`
  `static final String`
  `WS2S_PACKETS_COL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addStatsLogEntry(String hostname, float cpu_usage, float mem_usage, long uptime, int vhosts, long sm_packets, long muc_packets, long pubsub_packets, long c2s_packets, long ws2s_packets, long s2s_packets, long ext_packets, long presences, long messages, long iqs, long registered, int c2s_conns, int ws2s_conns, int bosh_conns, int s2s_conns, int sm_sessions, int sm_connections)`

  ### Methods inherited from interface tigase.db.DataSourceAware

  `setDataSource`

- ## Field Details

  - ### BOSH_CONNS_COL

    static final String BOSH_CONNS_COL
    See Also:
      - Constant Field Values

  - ### C2S_CONNS_COL

    static final String C2S_CONNS_COL
    See Also:
      - Constant Field Values

  - ### WS2S_CONNS_COL

    static final String WS2S_CONNS_COL
    See Also:
      - Constant Field Values

  - ### C2S_PACKETS_COL

    static final String C2S_PACKETS_COL
    See Also:
      - Constant Field Values

  - ### CPU_USAGE_COL

    static final String CPU_USAGE_COL
    See Also:
      - Constant Field Values

  - ### EXT_PACKETS_COL

    static final String EXT_PACKETS_COL
    See Also:
      - Constant Field Values

  - ### HOSTNAME_COL

    static final String HOSTNAME_COL
    See Also:
      - Constant Field Values

  - ### IQS_COL

    static final String IQS_COL
    See Also:
      - Constant Field Values

  - ### MEM_USAGE_COL

    static final String MEM_USAGE_COL
    See Also:
      - Constant Field Values

  - ### MESSAGES_COL

    static final String MESSAGES_COL
    See Also:
      - Constant Field Values

  - ### MUC_PACKETS_COL

    static final String MUC_PACKETS_COL
    See Also:
      - Constant Field Values

  - ### PRESENCES_COL

    static final String PRESENCES_COL
    See Also:
      - Constant Field Values

  - ### PUBSUB_PACKETS_COL

    static final String PUBSUB_PACKETS_COL
    See Also:
      - Constant Field Values

  - ### S2S_CONNS_COL

    static final String S2S_CONNS_COL
    See Also:
      - Constant Field Values

  - ### S2S_PACKETS_COL

    static final String S2S_PACKETS_COL
    See Also:
      - Constant Field Values

  - ### WS2S_PACKETS_COL

    static final String WS2S_PACKETS_COL
    See Also:
      - Constant Field Values

  - ### SM_PACKETS_COL

    static final String SM_PACKETS_COL
    See Also:
      - Constant Field Values

  - ### SM_SESSIONS_COL

    static final String SM_SESSIONS_COL
    See Also:
      - Constant Field Values

  - ### SM_CONNECTIONS_COL

    static final String SM_CONNECTIONS_COL
    See Also:
      - Constant Field Values

  - ### STATS_TABLE

    static final String STATS_TABLE
    See Also:
      - Constant Field Values

  - ### UPTIME_COL

    static final String UPTIME_COL
    See Also:
      - Constant Field Values

  - ### VHOSTS_COL

    static final String VHOSTS_COL
    See Also:
      - Constant Field Values

  - ### REGISTERED_COL

    static final String REGISTERED_COL
    See Also:
      - Constant Field Values

- ## Method Details

  - ### addStatsLogEntry

    void addStatsLogEntry(String hostname, float cpu_usage, float mem_usage, long uptime, int vhosts, long sm_packets, long muc_packets, long pubsub_packets, long c2s_packets, long ws2s_packets, long s2s_packets, long ext_packets, long presences, long messages, long iqs, long registered, int c2s_conns, int ws2s_conns, int bosh_conns, int s2s_conns, int sm_sessions, int sm_connections)